Einstein@home don't work on Raspberry Pi 3

Slax82
Slax82
Joined: 3 Jan 17
Posts: 2
Credit: 772,481
RAC: 0
Topic 210073

Hi,

 

i installed BOINC on my Pi 3 yesterday, and when ever i got new Tasks they stopp a few secs later with "Computation error"

 

the Project runs fine on my Pi 2, no Problems.

 

can anyone help me?

 

i Imaged my SD-Card new, same Problem

Jonathan
Jonathan
Joined: 4 Oct 17
Posts: 2
Credit: 3,361,829
RAC: 6,694

I would guess library

I would guess library problems.  You should link the computer or some work units next time to make it easier to research.

His computer https://einsteinathome.org/host/12577640

Log from one of his work units.

<core_client_version>7.6.33</core_client_version>
<![CDATA[
<message>
process exited with code 127 (0x7f, -129)
</message>
<stderr_txt>
../../projects/einstein.phys.uwm.edu/einsteinbinary_BRP4_1.42_arm-unknown-linux-gnueabihf__NEON: relocation error: ../../projects/einstein.phys.uwm.edu/einsteinbinary_BRP4_1.42_arm-unknown-linux-gnueabihf__NEON: symbol h_errno, version GLIBC_PRIVATE not defined in file libc.so.6 with link time reference

</stderr_txt>
]]>

MarkJ
MarkJ
Joined: 28 Feb 08
Posts: 397
Credit: 63,884,234
RAC: 19,539

The standard project app is

The standard project app (1.42) is too old for the Raspbian Stretch release.

Seeing as you have a Pi3 login to the Einstein website, go to your account -> preferences -> project and select the “run test apps”. After that on your Pi set no new tasks, and then update. Then allow tasks again. It should download the 1.47 beta app. The beta app is also faster.

If your Pi2 is working fine it is probably still on the Raspbian Jessie release. The 1.47 app will work on the Pi2 as well.

Imone
Imone
Joined: 9 Aug 16
Posts: 1
Credit: 2,265,079
RAC: 0
Slax82
Slax82
Joined: 3 Jan 17
Posts: 2
Credit: 772,481
RAC: 0

MarkJ schrieb:The standard

MarkJ wrote:

The standard project app (1.42) is too old for the Raspbian Stretch release.

Seeing as you have a Pi3 login to the Einstein website, go to your account -> preferences -> project and select the “run test apps”. After that on your Pi set no new tasks, and then update. Then allow tasks again. It should download the 1.47 beta app. The beta app is also faster.

If your Pi2 is working fine it is probably still on the Raspbian Jessie release. The 1.47 app will work on the Pi2 as well.

 

thanks a lot MarkJ,

i followed your instructions, and now it works!

very nice ;)

greetings Slax

Comment viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.